Name:           ocaml-async_extra
Version:        113.24.00
Release:        %mkrel 2
Summary:        Monadic concurrency library
License:        LGPL-2.1 with OCaml linking exception
Group:          Development/OCaml
URL:            https://bitbucket.org/yminsky/ocaml-core/wiki/Home
Source0:        https://ocaml.janestreet.com/ocaml-core/113.24/files/async_extra-%{version}.tar.gz
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  opam
BuildRequires:  ocaml-async_kernel
BuildRequires:  ocaml-async_rpc_kernel
BuildRequires:  ocaml-async_unix
BuildRequires:  ocaml-bin_prot
BuildRequires:  ocaml-core
BuildRequires:  ocaml-core_kernel-devel
BuildRequires:  ocaml-fieldslib
BuildRequires:  ocaml-ppx_assert
BuildRequires:  ocaml-ppx_bench
BuildRequires:  ocaml-ppx_driver
BuildRequires:  ocaml-ppx_expect
BuildRequires:  ocaml-ppx_inline_test
BuildRequires:  ocaml-ppx_jane
BuildRequires:  ocaml-sexplib
BuildRequires:  ocaml-typerep
BuildRequires:  ocaml-variantslib

%description
Monadic concurrency library

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n async_extra-%{version}

%build
sh configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --sbindir %{_sbindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir} \
    --docdir %{_docdir}/%{name}-devel/ \
    --destdir %{buildroot}

make
make doc

%install
opam-installer --prefix=%{buildroot}%{_prefix} --libdir=%{buildroot}%{_libdir}/ocaml async_extra.install

%files
%doc LICENSE.txt THIRD-PARTY.txt INRIA-DISCLAIMER.txt
%dir %{_libdir}/ocaml/async_extra
%{_libdir}/ocaml/async_extra/META
%{_libdir}/ocaml/async_extra/*.cmi
%{_libdir}/ocaml/async_extra/*.cma
%{_libdir}/ocaml/async_extra/*.cmxs
%{_libdir}/ocaml/stubslibs/*.so

%files devel
%{_libdir}/ocaml/async_extra/*.a
%{_libdir}/ocaml/async_extra/*.cmx
%{_libdir}/ocaml/async_extra/*.cmxa
%{_libdir}/ocaml/async_extra/*.annot
%{_libdir}/ocaml/async_extra/*.cmt
%{_libdir}/ocaml/async_extra/*.cmti


%changelog
* Sun Sep 25 2016 pterjan <pterjan> 113.24.00-2.mga6
+ Revision: 1056233
- Rebuild for fix in ocaml

* Wed Feb 24 2016 pterjan <pterjan> 113.24.00-1.mga6
+ Revision: 978752
- Update to 113.24.00

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 109.24.00-4.mga5
+ Revision: 747292
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 109.24.00-3.mga5
+ Revision: 682982
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 109.24.00-2.mga4
+ Revision: 527583
- Mageia 4 Mass Rebuild

* Sun Jun 09 2013 malo <malo> 109.24.00-1.mga4
+ Revision: 441267
- update to 109.24.00

* Sat Jan 12 2013 umeabot <umeabot> 108.07.01-2.mga3
+ Revision: 361143
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 23 2012 blue_prawn <blue_prawn> 108.07.01-1.mga3
+ Revision: 321275
- imported package ocaml-async_extra

